## jampal 02.01.05+dfsg1

=== Makefile ===
#   Project Makefile for jampal
#
#   Copyright 2006-2011 Peter G Bennett
#
#   This file is part of Jampal.
#
#   Jampal is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   Jampal is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Jampal.  If not, see <http://www.gnu.org/licenses/>.
#
# ***************************************************************************
#
#

# VERSION ?= $(shell read VERSION && echo $$VERSION)
VERSION := $(shell cat VERSION)

all: 
	cd jampal && make all
	cd tagbkup && make all
	cd html && make all

clean: 
	cd jampal && make clean
	cd tagbkup && make clean
	cd html && make clean
	rm -rf tmp OS
	rm -rf build_doc
	rm -f utility/*.jmp
	rm -rf unix_build
	rm -rf package/source
	# files from testing target
	rm -f jampal.jar jampal_environment.properties jampal_initial.properties
	# Files created by Netbeans
	rm -rf build dist


install: 
	cd jampal && make install
	cd tagbkup && make install
	cd html && make install
#	MAN PAGES
	install -d ${DESTDIR}/usr/share/man/man1/
	install -m644 man/*.1 ${DESTDIR}/usr/share/man/man1/
	gzip -f9 ${DESTDIR}/usr/share/man/man1/jampal.1 \
      ${DESTDIR}/usr/share/man/man1/tagbkup.1
#	SCRIPTS
	mkdir -p ${DESTDIR}/usr/share/jampal/scripts/examples
	install -m644 -p scripts/*.* ${DESTDIR}/usr/share/jampal/scripts/
	install -m644 -p scripts/examples/*.* ${DESTDIR}/usr/share/jampal/scripts/examples/
	chmod 755 ${DESTDIR}/usr/share/jampal/scripts/*.sh \
      ${DESTDIR}/usr/share/jampal/scripts/examples/*.sh
#	LINK for executable
	ln -fs ../share/jampal/scripts/jampal.sh ${DESTDIR}/usr/bin/jampal
#	UTILITY
	install -d ${DESTDIR}/usr/share/jampal/utility/
	rm -f utility/*.jmp
	install -m644 -p utility/* ${DESTDIR}/usr/share/jampal/utility/
#	MISC
#	If not building a debian package add the looks files and COPYING
	if [ "${DEBIAN_BUILD}" != Y ] ; then \
		install -m644 looks/*.jar ${DESTDIR}/usr/share/jampal/ ; \
		install -m644 misc/COPYING ${DESTDIR}/usr/share/jampal/ ; fi
#	CYGWIN
	basename `uname -o` > OS
	if [ `cat OS` = Cygwin ] ; then \
        install -m644 jampal/jampal.ico ${DESTDIR}/usr/share/jampal/ ; \
        install -m755 misc/windows-32/mbrola.exe ${DESTDIR}/usr/share/jampal/ ; \
        install -m644 misc/mbrola*.txt ${DESTDIR}/usr/share/jampal/ ; \
        install -m644 -p jampal/src/pgbennett/speech/ptts.vbs ${DESTDIR}/usr/share/jampal/ ; \
        scripts/setup_cygwin.sh ; fi

uninstall:
	cd jampal && make uninstall
	cd tagbkup && make uninstall
	cd html && make uninstall
	rm -rf ${DESTDIR}/usr/share/doc/jampal
	rm -rf ${DESTDIR}/usr/share/jampal
	rm -f ${DESTDIR}/usr/share/man/man1/jampal.1* ${DESTDIR}/usr/share/man/man1/tagbkup.1*
	basename `uname -o` > OS
	if [ `cat OS` = Cygwin ] ; then rm -fr \
       "${DESTDIR}`cygpath -u \"C:/ProgramData/Microsoft/Windows/Start Menu/Programs/Jampal\"`" \
       "${DESTDIR}`cygpath -u \"C:/Documents and Settings/All Users/Start Menu/Programs/Jampal\"`" ; fi

distclean: clean
	cd jampal && make distclean
	cd tagbkup && make distclean
	cd html && make distclean

source: clean
	# Make source appear under a jampal-version directory
	# Exclude debian ubuntu and package directories
	mkdir -p package/source
	ln -fs ../.. package/source/jampal-$(VERSION)
	cd package/source && echo jampal-${VERSION}/* | \
           sed "s@ jampal-${VERSION}/package @ @;\
           s@ jampal-${VERSION}/debian @ @;\
           s@ jampal-${VERSION}/ubuntu @ @;\
           s@ jampal-${VERSION}/ptts @ @;\
           s@ jampal-${VERSION}/notes.txt @ @" \
          > source_filelist.txt
	cd package/source && \
		tar -c -z --exclude-vcs --exclude=**/notes.txt --exclude=misc/windows-32 --exclude=misc/windows-32 -f jampal-source-$(VERSION).tar.gz \
		`cat source_filelist.txt`
	tar -c -z --exclude-vcs -f package/source/jampal-source-$(VERSION)_debian.tar.gz \
		debian ubuntu
	tar -c -z --exclude-vcs -f package/source/jampal-source-$(VERSION)_windows.tar.gz \
		misc/windows-32 ptts
	rm -f package/source/jampal-$(VERSION)


unix:
#	Create cygwin or generic unix installer.
	mkdir -p unix_build
	cd jampal && make unix
	cd tagbkup && make clean && make unix
	cd html && make unix
	rsync -aC man scripts utility looks \
		Makefile misc VERSION unix_build/
	mkdir -p unix_build/jampal/src/pgbennett/speech/
	cp jampal/src/pgbennett/speech/ptts.vbs unix_build/jampal/src/pgbennett/speech/
	basename `uname -o` > OS
	mkdir -p package/generic
	cd unix_build && tar -c -z --exclude-vcs \
        -f  ../package/generic/jampal-build-`cat ../OS`-`arch`-$(VERSION).tar.gz *

testing: all
	# Installs jar and properties into source directory for debug and test
	# needs root
	cp jampal/jampal.jar .
	install -m644 -T jampal/jampal_environment.properties_testing \
        ./jampal_environment.properties
	basename `uname -o` > OS
	if [ `cat OS` = Cygwin ] ; then \
       install -m644 -T jampal/jampal_initial.properties_windows \
       ./jampal_initial.properties ; \
    else \
       install -m644 -T jampal/jampal_initial.properties_unix \
       ./jampal_initial.properties ; \
    fi
	if [ `readlink -e /usr/bin/jampal` != $$PWD/scripts/jampal.sh ]; then \
		ln -fs $$PWD/scripts/jampal.sh /usr/bin/jampal; \
	fi

# check if we are logged in as root
checkroot:
	test $$(id -u) = 0

=== html/Makefile ===
#   Documentation Makefile for jampal
#
#   Copyright 2006-2011 Peter G Bennett
#
#   This file is part of Jampal.
#
#   Jampal is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   Jampal is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Jampal.  If not, see <http://www.gnu.org/licenses/>.
#
# ***************************************************************************
#
#


all: make_user_doc

web_doc: make_web_doc

unix: all
	mkdir -p ../unix_build/html/images
	rsync -aC Makefile user_doc make_user_doc \
        ../unix_build/html/
	cd ../unix_build/html && touch --date=19990101 \
        dummy.html dummy.css dummy.ico images/dummy

make_user_doc: ../man/* *.html *.css *.ico images/*
	# MAN PAGES IN HTML
	rman -f html -r 'man_%s.html' -l '%s' ../man/jampal.1 > man_jampal.html
	rman -f html -r 'man_%s.html' -l '%s' ../man/tagbkup.1 > man_tagbkup.html
	# HTML DOCUMENTATION
	cat release_notes_base.html installation_base.html > installation.html
	sed "s@</body>@<!--body@;s@</html>@/html-->@;s@XX\.XX\.XX@`cat ../VERSION`@" \
        release_notes_base.html > release_notes.html
	sed 's@<!DOCTYPE[^>]*>@<!--DOCTYPE-->@;s@<html>@<!--html@;s@<body[^>]*>@body-->@;' \
        whats_new.html >> release_notes.html
	mkdir -p user_doc
	( set -e ; while [ true ] ; do \
      read filename description ; \
      if [ "$$filename" = "XXX" ] ; then exit 0; fi ; \
      echo processing $$filename ... ; \
      sed "s/XXXHEADINGXXX/$$description/g" \
          framework_start.html > user_doc/$$filename ; \
      sed 's@<!DOCTYPE[^>]*>@<!--DOCTYPE-->@;'\
's@<html>@<!--html@;s@<body[^>]*>@body-->@;'\
's@</body>@<!--body@;s@</html>@/html-->@;'\
"s@XX\.XX\.XX@`cat ../VERSION`@" \
          $$filename >> user_doc/$$filename ; \
      cat framework_end.html >> user_doc/$$filename ; \
    done ) < buildlist.txt
	install -p -m 644 release_notes.html user_doc/
	install -p -m 644 cssdef.css index.html favicon.ico user_doc/
	mkdir -p user_doc/images/
	install -p -m 644 images/* user_doc/images/
	echo done > make_user_doc

make_web_doc: make_user_doc
	mkdir -p web_doc
	cd user_doc && for file in *.html; do \
      sed 's!images/sourceforge.gif!http://sflogo.sourceforge.net/sflogo.php?group_id=107584\&amp;type=15!g' \
      $$file > ../web_doc/$$file ; done
	install -p -m 644 release_notes.html user_doc/
	install -p -m 644 cssdef.css index.html favicon.ico web_doc/
	mkdir -p web_doc/images
	install -p -m 644  images/* web_doc/images/
	echo done > make_web_doc

clean: 
	rm -rf make_user_doc user_doc \
      man_jampal.html man_tagbkup.html make_web_doc web_doc \
      installation.html release_notes.html
	rm -rf ../unix_build/html

install: make_user_doc
#	HTML DOCUMENTATION
	install -d ${DESTDIR}/usr/share/doc/jampal/html/
	rsync -aC user_doc/* ${DESTDIR}/usr/share/doc/jampal/html/

uninstall:
	rm -rf ${DESTDIR}/usr/share/doc/jampal/html

distclean: clean

=== jampal/Makefile ===
#   Makefile for jampal
#
#   Copyright 2006-2011 Peter G Bennett
#
#   This file is part of Jampal.
#
#   Jampal is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   Jampal is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Jampal.  If not, see <http://www.gnu.org/licenses/>.
#
# ***************************************************************************
#
#

# FREETTS is only used in Cygwin builds or non-debian unix
FREETTS_HOME=/opt/freetts

all: jampal.jar

clean:
	rm -rf build
	rm -f jampal.jar make_basic OS
	rm -f src/pgbennett/jampal/*.jmp
	rm -rf ../unix_build/jampal

distclean: clean

unix: all
	mkdir -p ../unix_build/jampal
	install -p -m 644 Makefile jampal.jar make_basic \
      jampal.ico jampal_environment.properties_unix \
      jampal_initial.properties_unix jampal_initial.properties_windows \
      ../unix_build/jampal/
	rsync -aC desktop ../unix_build/jampal/
	mkdir -p ../unix_build/jampal/src/dummy/dummy/dummy/dummy
	cd ../unix_build/jampal && touch --date=19990101 \
        src/dummy/dummy/dummy.java \
        src/dummy/dummy/dummy/dummy.java \
        src/dummy/dummy/dummy/dummy/dummy.java

install: all
	basename `uname -o` > OS
	install -d ${DESTDIR}/usr/share/jampal ${DESTDIR}/usr/bin
	install -m644 jampal.jar ${DESTDIR}/usr/share/jampal/
	install -m644 -T jampal_environment.properties_unix \
	    ${DESTDIR}/usr/share/jampal/jampal_environment.properties
	if [ `cat OS` = Cygwin ] ; then \
       install -m644 -T jampal_initial.properties_windows \
       ${DESTDIR}/usr/share/jampal/jampal_initial.properties ; \
    else \
       install -m644 -T jampal_initial.properties_unix \
       ${DESTDIR}/usr/share/jampal/jampal_initial.properties ; \
    fi
	install -d ${DESTDIR}/usr/share/pixmaps/
	install -m644 desktop/jampal.xpm ${DESTDIR}/usr/share/pixmaps/
	install -m644 desktop/jampal.png ${DESTDIR}/usr/share/pixmaps/
	install -d ${DESTDIR}/usr/share/applications/
	install -m644 desktop/jampal.desktop \
        ${DESTDIR}/usr/share/applications/
#	install -d ${DESTDIR}/usr/share/menu/
#	install -m644 desktop/menu/jampal ${DESTDIR}/usr/share/menu/
#	install -d ${DESTDIR}/usr/share/mime/packages/
#	install -m644 desktop/mime/jampal.xml \
#        ${DESTDIR}/usr/share/mime/packages/
	rsync -aC desktop/icons/* ${DESTDIR}/usr/share/icons/
	chmod 644 `find ${DESTDIR}/usr/share/icons -name 'application-jampal.png'`

uninstall:
	rm -f ${DESTDIR}/usr/share/jampal/jampal.jar
	rm -f ${DESTDIR}/usr/bin/jampal
	rm -f ${DESTDIR}/usr/share/pixmaps/jampal.xpm
	rm -f ${DESTDIR}/usr/share/pixmaps/jampal.png
	rm -f ${DESTDIR}/usr/share/applications/jampal.desktop
	rm -f ${DESTDIR}/usr/share/menu/jampal
	rm -f ${DESTDIR}/usr/share/mime/packages/jampal.xml
	rm -f `find ${DESTDIR}/usr/share/icons -name 'application-jampal.png'`

jampal.jar: make_basic
	# Remove java files
	rm -f `find build -name '*.java'`
	# Create jampal.jar
	rm -f jampal.jar
	cd build/classes && "${JAVA_PATH}"jar cmf META-INF/MANIFEST.MF \
        "../../jampal.jar" *

make_basic: src/*/*/*.java src/*/*/*/*.java src/*/*/*/*/*.java
	mkdir -p build/classes
	rm -f src/pgbennett/jampal/*.jmp
	# Copy Source
	rsync -aC src/* build/classes/
	# Version
	install -p -m 644 ../VERSION build/classes/pgbennett/jampal/
	# java compile
	# Note it may seem we are just building 5 classes but in fact the java 
	# compiler will pull in needed other modules from the source tree and compile
	# them as well
	"${JAVA_PATH}"java -version
	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes build/classes/pgbennett/jampal/Jampal.java
	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes build/classes/pgbennett/id3/TagUpdate.java
	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes \
       build/classes/org/tritonus/sampled/convert/javalayer/MpegFormatConversionProvider.java
	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes \
       build/classes/org/tritonus/sampled/file/mpeg/MpegAudioFileReader.java
	if [ "${DEBIAN_BUILD}" != Y -a -f "${FREETTS_HOME}/lib/freetts.jar" ] ; then \
       "${JAVA_PATH}"javac -g -d build/classes \
       -sourcepath build/classes -classpath "${FREETTS_HOME}/lib/freetts.jar" \
       build/classes/pgbennett/speech/BatchSpeaker.java ; fi
	if [ "${DEBIAN_BUILD}" != Y -a -f "${FREETTS_HOME}/lib/freetts.jar" ] ; then \
       "${JAVA_PATH}"javac -g -d build/classes \
       -sourcepath build/classes -classpath ${FREETTS_HOME}/lib/freetts.jar \
       build/classes/pgbennett/speech/FreeTTSSpeaker.java ; fi
	echo yes > make_basic

=== tagbkup/Makefile ===
#   Makefile for tagbkup
#
#   Copyright 2006-2011 Peter G Bennett
#
#   This file is part of Jampal.
#
#   Jampal is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   Jampal is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Jampal.  If not, see <http://www.gnu.org/licenses/>.
#
# ***************************************************************************
#
#

# bindir = where binaries get installed (default = /usr/local/bin)
# mandir = where the manual page gets installed (default = /usr/local/man/man1)


prefix=${DESTDIR}/usr
bindir=${prefix}/bin
mandir = ${DESTDIR}/usr/man/man1

# No changes necessary below this line

PROG =	tagbkup
SRCS =	tagbkup.cpp nullmp3.cpp
OBJS =  tagbkup.o nullmp3.o
RM = /bin/rm
INSTALL = /usr/bin/install
STRIP = strip

#LIBS = -lmsvcrt40
CC = g++
#CFLAGS =  -O2 -Wall -I /usr/include/mingw32
CFLAGS =  -O2 -Wall ${option}

all: tagbkup

unix: all
	mkdir -p ../unix_build/tagbkup
	install -p -m 644 Makefile \
      ../unix_build/tagbkup/
	install -p -m 755 tagbkup \
      ../unix_build/tagbkup/
	cd ../unix_build/tagbkup && touch --date=19990101 dummy.cpp dummy.c


tagbkup: *.cpp *.c
	basename `uname -o` > OS
	sed -e "s/\*\*UNSTABLE\*\*/`cat ../VERSION`/" tagbkup.cpp > tagbkupxx.cpp
	$(CC) $(CFLAGS) -D OS_`cat OS` -D CPU_`uname -m` -o tagbkup tagbkupxx.cpp nullmp3.cpp mp3tech.c $(LIBS)


#tagbkup: $(OBJS)
#	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

clean: 
	$(RM) -f $(OBJS) tagbkup tagbkupxx.cpp tagbkup.exe core OS libgcc_s_dw2-1.dll
	rm -rf ../unix_build/tagbkup

distclean: clean

install: tagbkup
# do not strip per GNU standard
# Do strip as required by debian
	$(STRIP) --remove-section=.comment --remove-section=.note tagbkup
	$(INSTALL) -d $(bindir)
	$(INSTALL) tagbkup $(bindir)/tagbkup

uninstall:
	rm -f $(bindir)/tagbkup

=== debian/changelog ===
jampal (02.01.05+dfsg1-1ubuntu1) quantal; urgency=low

  * Transition package to default java implementation:
    - d/control: Switch BD openjdk-6-jdk -> default-jdk, and runtime
      dependency from openjdk-6-jre -> default-jre.

 -- James Page <james.page@ubuntu.com>  Wed, 01 Aug 2012 16:26:41 +0100

jampal (02.01.05+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #626991)

 -- Peter Bennett <pgbennett@comcast.net>  Sat, 09 Jul 2011 20:04:14 -0400

=== debian/control ===
Source: jampal
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Peter Bennett <pgbennett@comcast.net>
Build-Depends: debhelper (>= 8.0.0~), default-jdk, rman, rsync
Standards-Version: 3.9.2
Homepage: http://jampal.sourceforge.net

Package: jampal
Architecture: all
Depends: ${misc:Depends}, tagbkup,
 default-jre | java6-runtime, sox, gawk
Recommends: espeak
Suggests: mbrola
Description: mp3 song library management system and player
 Jampal stores and organizes a large library of songs. It is a jukebox and tag
 editor. The song library is based on the IDV3v2 standard and is customizable.
 Text to speech voice synthesis to announce song names is an option. There are
 utilities to rename and organize the song files by album, artist and song, and
 to generate playlists from criteria you choose. Generated play lists can be
 burned to CD or written to an mp3 player. Song announcements can be added to
 songs written to CD or player.

Package: tagbkup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: back up and restore mp3 tags
 tagbkup backs up and restores mp3 song tags without having to back up the
 entire mp3 file. If you customize your tags using a program like jampal, you
 only need to back up your songs once, and back up the tags separately on a
 regular basis. tagbkup also can copy tags or remove tags from mp3 files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Used by some of the upstream make files to exclude
# things from the build
export DEBIAN_BUILD=Y
UPSTRMVERSION1 := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f2 -d' '|cut -f1 -d+)
UPSTRMVERSION2 := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f2 -d' '|cut -f1 -d-)
VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f2 -d' ')

%:
	dh $@

get-orig-source:
	wget http://sourceforge.net/projects/jampal/files/jampal/$(UPSTRMVERSION1)/jampal-source-$(UPSTRMVERSION1).tar.gz/download
	tar xf jampal-source-$(UPSTRMVERSION1).tar.gz
	rm -rf jampal-$(UPSTRMVERSION1)/looks
	# rename top level directory as recommended in 
	# Debian Developers reference 6.7.8.2 Repackaged upstream source
	mv jampal-$(UPSTRMVERSION1) jampal-$(UPSTRMVERSION1)-orig
	tar -czf jampal_$(UPSTRMVERSION2).orig.tar.gz jampal-$(UPSTRMVERSION1)-orig
	rm -rf jampal-source-$(UPSTRMVERSION1).tar.gz jampal-$(UPSTRMVERSION1)-orig

=== debian/watch ===
version=3

opts=dversionmangle=s/.dfsg\d+$// \
http://sf.net/jampal/jampal-source-(.*)\.tar\.gz

## jampal 02.01.06.199

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,6 @@
 #
 #
 
-# VERSION ?= $(shell read VERSION && echo $$VERSION)
 VERSION := $(shell cat VERSION)
 
 all: 
@@ -37,12 +36,16 @@
 	rm -rf build_doc
 	rm -f utility/*.jmp
 	rm -rf unix_build
-	rm -rf package/source
+	rm -rf package
+	rm -f jampal-source-$(VERSION).tar.gz
+	rm -f jampal-source-*.tar.gz
 	# files from testing target
 	rm -f jampal.jar jampal_environment.properties jampal_initial.properties
 	# Files created by Netbeans
 	rm -rf build dist
-
+	# from windows target
+	rm -rf windows_package
+	rm -f jampal-windows-setup-*.exe
 
 install: 
 	cd jampal && make install
@@ -66,9 +69,10 @@
 	rm -f utility/*.jmp
 	install -m644 -p utility/* ${DESTDIR}/usr/share/jampal/utility/
 #	MISC
+	if [ "`echo looks/*.jar`" != "looks/*.jar" ] ; then \
+		install -m644 looks/*.jar ${DESTDIR}/usr/share/jampal/ ; fi
 #	If not building a debian package add the looks files and COPYING
 	if [ "${DEBIAN_BUILD}" != Y ] ; then \
-		install -m644 looks/*.jar ${DESTDIR}/usr/share/jampal/ ; \
 		install -m644 misc/COPYING ${DESTDIR}/usr/share/jampal/ ; fi
 #	CYGWIN
 	basename `uname -o` > OS
@@ -98,24 +102,27 @@
 
 source: clean
 	# Make source appear under a jampal-version directory
-	# Exclude debian ubuntu and package directories
+	# Exclude debian debian_sf and package directories
 	mkdir -p package/source
 	ln -fs ../.. package/source/jampal-$(VERSION)
 	cd package/source && echo jampal-${VERSION}/* | \
            sed "s@ jampal-${VERSION}/package @ @;\
            s@ jampal-${VERSION}/debian @ @;\
-           s@ jampal-${VERSION}/ubuntu @ @;\
+           s@ jampal-${VERSION}/debian_sf @ @;\
            s@ jampal-${VERSION}/ptts @ @;\
            s@ jampal-${VERSION}/notes.txt @ @" \
           > source_filelist.txt
 	cd package/source && \
 		tar -c -z --exclude-vcs --exclude=**/notes.txt --exclude=misc/windows-32 --exclude=misc/windows-32 -f jampal-source-$(VERSION).tar.gz \
 		`cat source_filelist.txt`
-	tar -c -z --exclude-vcs -f package/source/jampal-source-$(VERSION)_debian.tar.gz \
-		debian ubuntu
-	tar -c -z --exclude-vcs -f package/source/jampal-source-$(VERSION)_windows.tar.gz \
+	tar -c -z --exclude-vcs -f package/source/jampal-debian-source-$(VERSION).tar.gz \
+		debian debian_sf
+	tar -c -z --exclude-vcs -f package/source/jampal-windows-source-$(VERSION).tar.gz \
 		misc/windows-32 ptts
 	rm -f package/source/jampal-$(VERSION)
+	# cp -f package/source/jampal-source-$(VERSION).tar.gz package/source/jampal_$(VERSION)+dfsg1.orig.tar.gz
+	cp -f package/source/jampal-source-$(VERSION).tar.gz ../
+	cp -f package/source/jampal-source-$(VERSION).tar.gz ./
 
 
 unix:
@@ -126,12 +133,14 @@
 	cd html && make unix
 	rsync -aC man scripts utility looks \
 		Makefile misc VERSION unix_build/
+	cp -p misc/windows-32/mbrola.exe unix_build/misc/windows-32/
 	mkdir -p unix_build/jampal/src/pgbennett/speech/
 	cp jampal/src/pgbennett/speech/ptts.vbs unix_build/jampal/src/pgbennett/speech/
 	basename `uname -o` > OS
 	mkdir -p package/generic
 	cd unix_build && tar -c -z --exclude-vcs \
         -f  ../package/generic/jampal-build-`cat ../OS`-`arch`-$(VERSION).tar.gz *
+	cp -f package/generic/jampal-build-`cat OS`-`arch`-$(VERSION).tar.gz ../
 
 testing: all
 	# Installs jar and properties into source directory for debug and test
@@ -155,3 +164,45 @@
 checkroot:
 	test $$(id -u) = 0
 
+# Make windows package
+inno_cygwin_cmd := "C:/Program Files (x86)/Inno Setup 5/iscc"
+inno_linux_cmd := "C:\Program Files (x86)\Inno Setup 5\ISCC"
+inno_linux_wine := wine
+windows:
+	cd jampal && make all
+	cd tagbkup && make windows
+	cd html && make all
+	mkdir -p windows_package
+	cp -p jampal/jampal.jar \
+    jampal/jampal.ico \
+    jampal/jampal_environment.properties_* \
+    jampal/jampal_initial.properties_* \
+    windows_package
+	cp -p tagbkup/tagbkup.exe windows_package/
+	cp -p tagbkup/*.dll windows_package/
+	cp -p misc/windows-32/mbrola.exe windows_package/
+	cp -p misc/mbrola*.txt windows_package/
+	cp -p misc/COPYING windows_package/
+	mkdir -p windows_package/doc/
+	cp -upr html/user_doc/* windows_package/doc/
+	# mkdir -p windows_package/scripts/examples
+	# cp -upr scripts/* windows_package/scripts
+	# rm -rf `find windows_package/scripts -name 'CVS' -o -name '.svn'`
+	mkdir -p windows_package/utility
+	cp -up utility/* windows_package/utility
+	cp -up looks/*.jar windows_package
+	cp -up jampal/src/pgbennett/speech/ptts.vbs windows_package
+	cp -up jampal/jampal.iss windows_package/jampal.iss
+	unix2dos windows_package/jampal.iss
+	basename `uname -o` > OS
+	if [ `cat OS` = Cygwin ] ; then \
+        INNO_CMD=$(inno_cygwin_cmd) ; \
+        WINE= ; \
+    else \
+        INNO_CMD=$(inno_linux_cmd) ; \
+        WINE=wine ; \
+    fi ; \
+    $$WINE "$$INNO_CMD" windows_package/jampal.iss
+	mv -f windows_package/Output/setup.exe ../jampal-windows-setup-$(VERSION).exe
+
+

=== jampal/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #
 #
 
-# FREETTS is only used in Cygwin builds or non-debian unix
-FREETTS_HOME=/opt/freetts
+# FREETTS is used in Cygwin, Ubuntu or non-debian unix
+FREETTS_HOME=/usr/share/java
 
 all: jampal.jar
 
@@ -104,18 +104,19 @@
 	# compiler will pull in needed other modules from the source tree and compile
 	# them as well
 	"${JAVA_PATH}"java -version
-	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes build/classes/pgbennett/jampal/Jampal.java
-	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes build/classes/pgbennett/id3/TagUpdate.java
-	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes \
+	"${JAVA_PATH}"javac -g -source 1.6 -target 1.6 -d build/classes -sourcepath build/classes build/classes/pgbennett/jampal/Jampal.java
+	"${JAVA_PATH}"javac -g -source 1.6 -target 1.6 -d build/classes -sourcepath build/classes build/classes/pgbennett/id3/TagUpdate.java
+	"${JAVA_PATH}"javac -g -source 1.6 -target 1.6 -d build/classes -sourcepath build/classes \
        build/classes/org/tritonus/sampled/convert/javalayer/MpegFormatConversionProvider.java
-	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes \
+	"${JAVA_PATH}"javac -g -source 1.6 -target 1.6 -d build/classes -sourcepath build/classes \
        build/classes/org/tritonus/sampled/file/mpeg/MpegAudioFileReader.java
-	if [ "${DEBIAN_BUILD}" != Y -a -f "${FREETTS_HOME}/lib/freetts.jar" ] ; then \
-       "${JAVA_PATH}"javac -g -d build/classes \
-       -sourcepath build/classes -classpath "${FREETTS_HOME}/lib/freetts.jar" \
-       build/classes/pgbennett/speech/BatchSpeaker.java ; fi
-	if [ "${DEBIAN_BUILD}" != Y -a -f "${FREETTS_HOME}/lib/freetts.jar" ] ; then \
-       "${JAVA_PATH}"javac -g -d build/classes \
-       -sourcepath build/classes -classpath ${FREETTS_HOME}/lib/freetts.jar \
-       build/classes/pgbennett/speech/FreeTTSSpeaker.java ; fi
+	# freetts does not work, hangs so not including it
+#	if [ -f "${FREETTS_HOME}/freetts.jar" ] ; then \
+#       "${JAVA_PATH}"javac -g -d build/classes \
+#       -sourcepath build/classes -classpath "${FREETTS_HOME}/freetts.jar" \
+#       build/classes/pgbennett/speech/BatchSpeaker.java ; fi
+#	if [ -f "${FREETTS_HOME}/freetts.jar" ] ; then \
+#       "${JAVA_PATH}"javac -g -d build/classes \
+#       -sourcepath build/classes -classpath ${FREETTS_HOME}/freetts.jar \
+#       build/classes/pgbennett/speech/FreeTTSSpeaker.java ; fi
 	echo yes > make_basic

=== tagbkup/Makefile ===
--- 
+++ 
@@ -39,7 +39,8 @@
 STRIP = strip
 
 #LIBS = -lmsvcrt40
-CC = g++
+GCC_CMD ?= g++
+CC = $(GCC_CMD)
 #CFLAGS =  -O2 -Wall -I /usr/include/mingw32
 CFLAGS =  -O2 -Wall ${option}
 
@@ -66,6 +67,7 @@
 clean: 
 	$(RM) -f $(OBJS) tagbkup tagbkupxx.cpp tagbkup.exe core OS libgcc_s_dw2-1.dll
 	rm -rf ../unix_build/tagbkup
+	rm  -f libgcc_s_dw2-1.dll libstdc++-6.dll
 
 distclean: clean
 
@@ -79,3 +81,20 @@
 uninstall:
 	rm -f $(bindir)/tagbkup
 
+mingw_cygwin_cmd := /Products/mingw/bin/g++
+mingw_cygwin_path := /Products/mingw/bin
+mingw_linux_cmd := "wine ~/.wine/drive_c/MinGW/bin/g++"
+mingw_linux_path := ~/.wine/drive_c/MinGW/bin
+windows:
+	basename `uname -o` > OS
+	if [ `cat OS` = Cygwin ] ; then \
+        GCC_CMD=$(mingw_cygwin_cmd) ; \
+        GCC_PATH=$(mingw_cygwin_path) ; \
+    else \
+        GCC_CMD=$(mingw_linux_cmd) ; \
+        GCC_PATH=$(mingw_linux_path) ; \
+    fi ; \
+    export GCC_CMD ; \
+    make clean && make all; \
+    cp "$$GCC_PATH/libgcc_s_dw2-1.dll" "$$GCC_PATH/libstdc++-6.dll" .
+

=== debian/changelog ===
jampal (02.01.06.199-dmo2) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Mar 2017 15:08:25 +0100

jampal (02.01.06.199-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Sep 2015 14:01:01 +0200

jampal (02.01.06-dmo2) unstable; urgency=low

  * Build jampal in build-indep target and tagbkup in build-arch target.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Sep 2012 08:24:07 +0200

jampal (02.01.06-dmo1) unstable; urgency=low

  * New upstream release.
  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Sep 2012 14:58:52 +0200

=== debian/control ===
Source: jampal
Section: sound
Priority: optional
Homepage: http://jampal.sourceforge.net
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Standards-Version: 3.9.8
Build-Depends-Indep: default-jdk | openjdk-8-jdk, rman, rsync
Build-Depends: debhelper (>= 9), quilt

Package: jampal
Architecture: all
Depends: ${misc:Depends}, tagbkup, sox, gawk, default-jre | openjdk-8-jre, libtritonus-java, libjlayer-java
Recommends: espeak
Suggests: mbrola
Description: mp3 song library management system and player
 Jampal stores and organizes a large library of songs. It is a jukebox and
 tag editor. The song library is based on the IDV3v2 standard and is
 customizable. Text to speech voice synthesis to announce song names is an
 option. There are utilities to rename and organize the song files by
 album, artist and song, and to generate playlists from criteria you choose. 
 Generated play lists can be burned to CD or written to an mp3 player. Song
 announcements can be added to songs written to CD or player.

Package: tagbkup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: back up and restore mp3 tags
 tagbkup backs up and restores mp3 song tags without having to back up the
 entire mp3 file. If you customize your tags using a program like jampal,
 you only need to back up your songs once, and back up the tags separately
 on a regular basis. tagbkup also can copy tags or remove tags from mp3
 files.

=== debian/rules ===
#!/usr/bin/make -f

# Used by some of the upstream make files to exclude
# things from the build

export DEBIAN_BUILD := Y

UPSTRMVERSION1 := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f2 -d' '|cut -f1 -d+)
UPSTRMVERSION2 := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f2 -d' '|cut -f1 -d-)

VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f2 -d' ')

#export DEB_CFLAGS_MAINT_APPEND = -Wno-narrowing
#export DEB_CXXFLAGS_MAINT_APPEND = -Wno-narrowing

%:
	dh $@ --with quilt

override_dh_auto_install-arch:
	cd tagbkup && make install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_build-indep:
	cd jampal && make all
	cd html && make all

override_dh_auto_install-indep:
	cd jampal && make install DESTDIR=$(CURDIR)/debian/tmp
	cd html && make install DESTDIR=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install --fail-missing

override_dh_auto_build:

=== debian/watch ===
version=3

http://sf.net/jampal/jampal-source-(.*)\.tar\.gz
